# Generated from yelp-2.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yelp

Name: rubygem-%{gem_name}
Version: 2.1.5
Release: 1%{?dist}
Summary: Ruby client library for the Yelp API
License: MIT
URL: https://github.com/Yelp/yelp-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 2.6
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rspec-its) >= 1.0.1
# BuildRequires: rubygem(rspec-its) < 1.1
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry) >= 0.9.0
# BuildRequires: rubygem(vcr) >= 2.8
# BuildRequires: rubygem(vcr) < 3
# BuildRequires: rubygem(vcr) >= 2.8.0
# BuildRequires: rubygem(webmock) >= 1.17
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(webmock) >= 1.17.0
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
Provides an easy way to interact with the Yelp API in any kind of application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/yelp.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 2.1.5-1
- Initial package
